## net.sf.saxon.event
Interface CopyInformee

All Superinterfaces:
  Receiver, javax.xml.transform.Result

All Known Implementing Classes:
  LocationCopier

    public interface CopyInformee

extends Receiver

A CopyInformee is a Receiver that receives extra information while a tree is being copied. Specifically, each time an element node is copied to the receiver, before calling the startElement() method, the copying code will first call notifyElementNode(), giving the Receiver extra information about the element currently being copied.

Field Summary

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Method Summary
`void` `notifyElementNode(NodeInfo element)` Provide information about the node being copied.

Methods inherited from interface net.sf.saxon.event.Receiver
`attribute, characters, close, comment, endDocument, endElement, getPipelineConfiguration, namespace, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnparsedEntity, startContent, startDocument, startElement`

Methods inherited from interface javax.xml.transform.Result
`getSystemId`

Method Detail

### notifyElementNode

    void notifyElementNode(NodeInfo element)

  Provide information about the node being copied. This method is called immediately before the startElement call for the element node in question.

  Parameters:
    `element` - the node being copied, which must be an element node

Copyright (c) Saxonica Limited. All rights reserved.